import request from '@/utils/request'

// 查询订单列表
export function listInfo(query) {
  return request({
    url: '/system/inspectionGoods/partnerOrderListSystem',
    method: 'get',
    params: query
  })
}

// 查询订单详细
export function getInfo(id) {
  return request({
    url: '/system/info/' + id,
    method: 'get'
  })
}

// 新增订单
export function addInfo(data) {
  return request({
    url: '/system/info',
    method: 'post',
    data: data
  })
}

// 修改订单
export function updateInfo(data) {
  return request({
    url: '/system/info',
    method: 'put',
    data: data
  })
}

// 删除订单
export function delInfo(id) {
  return request({
    url: '/system/info/' + id,
    method: 'delete'
  })
}

// 退款
export function refund(id) {
  return request({
    url: '/refund?orderId='+id,
    method: 'post',
  })
}
export function refundDisagree(id) {
  return request({
    url: '/refundDisagree?orderId='+id,
    method: 'post',
  })
}
